PHP Manual
Prev |  | Next

# mysql_change_user

(PHP 3 >= 3.0.13)

mysql_change_user -- Change logged in user of the active connection

## Description

int mysql_change_user ( string user, string password [, string database [, resource link_identifier]] )

mysql_change_user() changes the logged in user of the current active connection, or the connection given by the optional link_identifier parameter. If a database is specified, this will be the current database after the user has been changed. If the new user and password authorization fails, the current connected user stays active.

This function is deprecated and no longer exists in PHP.

## Parameters

user

  The new MySQL username.

password

  The new MySQL password.

database

  The MySQL database. If not specified, the current selected database is used.

link_identifier

  The MySQL connection. If the link identifier is not specified, the last link opened by mysql_connect() is assumed. If no such link is found, it will try to create one as if mysql_connect() was called with no arguments. If by chance no connection is found or established, an `E_WARNING` level warning is generated.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## ChangeLog

Version | Description
--- | ---
3.0.14 | This function was removed from PHP.

## Notes

> Requirements: This function requires MySQL 3.23.3 or higher.

## See Also

mysql_connect()
mysql_select_db()
mysql_query()

Prev | Home | Next
mysql_affected_rows | Up | mysql_client_encoding